
from infinishell.infishell import commandgroup, command
from ..features import feature_command


@commandgroup(prefix="smb")
class SmbCommands(object):
    pass


@commandgroup(prefix="health", parent=SmbCommands)
class SmbHealthCommands(object):

    @feature_command(
        feature="smb",
        status=True,
        description="SMB health",
    )
    def query(self, _api):
        return ":)"

