# flake8: noqa
__import__("pkg_resources").declare_namespace(__name__)

from .utils import colorama_patches

from .commands.commands import (
    runtime,
    Commands,
    commandgroup,
    command,
    manifest,
    render,
    magic,
    availability,
    invalidates_autocompletion_cache,
    )
from .options import (
    OptionType,
    FlagType,
    OptionSet,
    SimpleOptionSet,
    )
from .config import (
    config,
    default_config,
    initialize_config,
    write_default_config,
    write_current_config,
    altered_config,
    )
from .environment import variables as env
from .renderer import Renderer
from .shell import (
    Shell,
    Executor,
    get_active_shell,
    )
from .parser import Parser, ShellParser
from .utils import datadir

from .exceptions import *