from munch import Munch
from colorama import Style, Fore

MAX_HELP_LINE_LENGTH = 70
INDENT_LENGTH = 4

COLORS = Munch(
    HEADER=[Fore.CYAN],
    DESCRIPTION=[Style.BRIGHT],
    COMPLETION_DESCRIPTION=[Style.BRIGHT, Fore.MAGENTA],
    CATEGORY_PREFIX=[Fore.MAGENTA],
    CATEGORY_NAME=[Style.BRIGHT, Fore.MAGENTA],
    COMMAND_PREFIX=[],
    COMMAND_NAME=[Style.BRIGHT],
    COMMAND_ARG=[Style.BRIGHT, Fore.GREEN],
    ARG_NAME=[Style.BRIGHT, Fore.GREEN],
    ARG_EQUALS=[Style.BRIGHT],
    ARG_TYPE=[Fore.CYAN],
    ARG_BRACKETS=[Style.BRIGHT],
    ARG_HIGHLIGHTED=[Style.BRIGHT, Fore.RED],
    ARG_DIMMED=[Style.BRIGHT, Fore.BLACK],
    )
